GET /v1/platform/videos
Returns the video generation requests for the authenticated workspace, ordered by creation time descending.
Example Request
curl https://api.tutorflow.io/v1/platform/videos \
-H "Authorization: Bearer tf_platform_..."Response
Returns an array of video request objects. Each item is a subset of the full
VideoResDto: id, videoId, status, title, description, language,
sceneCount, aspectRatio, targetDurationSeconds, slug, tier, mode,
priceSnapshot, shareToken, previewUrl, publicUrl, renderStatus,
videoKey, isTerminal, createdAt, and completedAt.
Example Response
[
{
"id": "e41a085a-e43f-4f63-92f4-9e11250f6e63",
"videoId": "e10b8286-94ad-4139-a946-3548b46f6d07",
"status": "COMPLETED",
"title": "What Is Photosynthesis for Kids?",
"language": "en",
"sceneCount": 4,
"aspectRatio": "16:9",
"targetDurationSeconds": 30,
"slug": "what-is-photosynthesis-for-kids-d6a02f3b",
"tier": "default",
"mode": "sync",
"priceSnapshot": {
"category": "video",
"catalogKey": "video.default",
"tier": "default",
"unit": "scene",
"unitPrice": 0.04,
"units": 4,
"amountUsd": 0.16,
"currency": "USD",
"source": "platform_pricing_catalog_v2"
},
"shareToken": "b64adc04eca28e709add5568af2c414c",
"previewUrl": "https://tutorflow.io/en/platform/videos/edit/...",
"publicUrl": "https://tutorflow.io/en/platform/videos/b64adc04eca28e709add5568af2c414c",
"renderStatus": "COMPLETED",
"videoKey": "platform/{workspaceId}/videos/{videoId}/rendered/...mp4",
"isTerminal": true,
"createdAt": "2026-04-25T04:14:47.546Z",
"completedAt": "2026-04-25T04:15:28.677Z"
}
]Notes for Agents
- Filter on
renderStatus === "COMPLETED"and a non-nullvideoKeyto find fully-rendered videos ready to share. - The response is not paginated. Workspaces with very high volume should filter on the client.